Unverified Commit 3c9b0edf authored by Kubernetes Submit Queue's avatar Kubernetes Submit Queue Committed by GitHub

Merge pull request #60460 from thockin/master

Automatic merge from submit-queue (batch tested with PRs 62208, 62114, 62144, 60460, 62214). If you want to cherry-pick this change to another branch, please follow the instructions <a href="https://github.com/kubernetes/community/blob/master/contributors/devel/cherry-picks.md">here</a>. Don't require release tars on kube-down Fixes #41369 **Release note**: ```release-note NONE ```
parents 115f80a9 a2f47f5b
...@@ -453,32 +453,37 @@ EOF ...@@ -453,32 +453,37 @@ EOF
popd popd
} }
# Check whether required client and server binaries exist, prompting to download # Check whether required binaries exist, prompting to download
# if missing. # if missing.
# If KUBERNETES_SKIP_CONFIRM is set to y, we'll automatically download binaries # If KUBERNETES_SKIP_CONFIRM is set to y, we'll automatically download binaries
# without prompting. # without prompting.
function verify-kube-binaries() { function verify-kube-binaries() {
local missing_binaries=false
if ! "${KUBE_ROOT}/cluster/kubectl.sh" version --client >&/dev/null; then if ! "${KUBE_ROOT}/cluster/kubectl.sh" version --client >&/dev/null; then
echo "!!! kubectl appears to be broken or missing" echo "!!! kubectl appears to be broken or missing"
missing_binaries=true download-release-binaries
fi
if ! $(find-release-tars); then
missing_binaries=true
fi fi
}
if ! "${missing_binaries}"; then # Check whether required release artifacts exist, prompting to download
return # if missing.
# If KUBERNETES_SKIP_CONFIRM is set to y, we'll automatically download binaries
# without prompting.
function verify-release-tars() {
if ! $(find-release-tars); then
download-release-binaries
fi fi
}
# Download release artifacts.
function download-release-binaries() {
get_binaries_script="${KUBE_ROOT}/cluster/get-kube-binaries.sh" get_binaries_script="${KUBE_ROOT}/cluster/get-kube-binaries.sh"
local resp="y" local resp="y"
if [[ ! "${KUBERNETES_SKIP_CONFIRM:-n}" =~ ^[yY]$ ]]; then if [[ ! "${KUBERNETES_SKIP_CONFIRM:-n}" =~ ^[yY]$ ]]; then
echo "Required binaries appear to be missing. Do you wish to download them? [Y/n]" echo "Required release artifacts appear to be missing. Do you wish to download them? [Y/n]"
read resp read resp
fi fi
if [[ "${resp}" =~ ^[nN]$ ]]; then if [[ "${resp}" =~ ^[nN]$ ]]; then
echo "You must download binaries to continue. You can use " echo "You must download release artifacts to continue. You can use "
echo " ${get_binaries_script}" echo " ${get_binaries_script}"
echo "to do this for your automatically." echo "to do this for your automatically."
exit 1 exit 1
......
...@@ -63,6 +63,8 @@ echo "... calling verify-prereqs" >&2 ...@@ -63,6 +63,8 @@ echo "... calling verify-prereqs" >&2
verify-prereqs verify-prereqs
echo "... calling verify-kube-binaries" >&2 echo "... calling verify-kube-binaries" >&2
verify-kube-binaries verify-kube-binaries
echo "... calling verify-release-tars" >&2
verify-release-tars
echo "... calling kube-up" >&2 echo "... calling kube-up" >&2
kube-up kube-up
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment